Bug 764260 - (GLUSTER-2528) 3.2.1qa2: display "probe is not successful" mesg when peers are not connected
3.2.1qa2: display "probe is not successful" mesg when peers are not connected
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 08:20 EDT by Lakshmipathi G
Modified: 2013-12-18 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2011-03-15 08:20:43 EDT
started glusterd on two bricks and doing peer probe-

on one brick-
brick1# gluster peer status
Number of Peers: 1

Hostname: 192.168.1.51
Uuid: 282feb2f-35b2-4cf0-86c2-bd23b7b68f31
State: Accepted peer request (Connected)

but on the target machine - 
192.168.1.51# gluster peer status
Number of Peers: 1

Hostname: 192.168.1.150
Uuid: 114a414a-b2a3-4bcf-9a60-ca4979334268
State: Accepted peer request (Disconnected)

 error message like "probe not successful" needs to be displayed instead of "Probe successful" mesg. 

-bash-3.2# gluster peer probe 192.168.1.51
Probe successful
Comment 1 Sachidananda Urs 2011-04-05 00:45:59 EDT
When gluster peer is probed for a machine that is not running glusterd, proper error message is not thrown.

For eg:

=================================================

[root@centos1 ~]# gluster peer probe 10.1.12.24
[root@centos1 ~]# echo $?
110
[root@centos1 ~]# gluster peer status
Number of Peers: 4

Hostname: 10.1.12.21
Uuid: ae170c47-4106-4016-85fe-37dbe6338f63
State: Peer in Cluster (Connected)

Hostname: 10.1.12.22
Uuid: 3c899292-6cb9-451d-9dcb-bf861318c298
State: Peer in Cluster (Connected)

Hostname: 10.1.12.23
Uuid: 276156df-63ae-4c1b-9b56-2bcf798f7041
State: Peer in Cluster (Connected)

Hostname: 10.1.12.24
Uuid: 00000000-0000-0000-0000-000000000000
State: Establishing Connection (Disconnected)
[root@centos1 ~]# 

=================================================

Error message should be shown when probe was unsuccessful. Should the unsuccessful probe be shown in the list?
Comment 2 Amar Tumballi 2011-07-05 01:02:01 EDT
Sacchi,

Your comment is same as bug 763553, for which I have sent a patch here http://patches.gluster.com/patch/7746/

Lakshmipathi,

Are we sure there were no 'iptables' rule on .51 machine? When you are done with current testing, can you see if this is still the case with 'master' branch.

Regards,
Amar
Comment 3 Amar Tumballi 2011-09-30 02:46:05 EDT
not happening on later releases.

Note You need to log in before you can comment on or make changes to this bug.